# Binarization enum

Binarization behavior to apply when adding pages to a TIFF.

Inheritance
  - Object
  - Enum
  - Binarization
Available extensions
  - EnumName

## Values

DISABLED → const Binarization

  Do not binarize the image. Image will be stored as a grayscale or color TIFF.

ENABLED → const Binarization

  Binarize the image. Image will be stored as a 1-bit TIFF. If the input image is not black-and-white, a simple thresholding is applied.

ENABLED_IF_BINARIZATION_FILTER_SET → const Binarization

  Same behavior as ENABLED if a binarization filter (TIFFGeneratorParameters.binarizationFilter) is set, otherwise same behavior as DISABLED. This is the default.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<Binarization>
  A constant List of the values in this enum, in order of their declaration.